/* $Id: ncron.c 4 2023-02-19 04:11:41Z nishi $ */

#include <ncron.h>

#include <ncron/parse.h>
/*#include <ncron/run.h>*/

#include <signal.h>
#include <unistd.h>

void ncron_start(){
	signal(SIGCHLD, SIG_IGN);
	int pid = fork();
	if(pid == 0){
		int ppid = getppid();
		while(1){
			if(getppid() != ppid) break;
			printf("parse\n");
			ncron_parse();
			sleep(1);
		}
		_exit(0);
	}else{
		waitpid(pid, 0, 0);
	}
}
